<?php
/**
 * 連載記事ユニット縦3列.
 *
 * @package extunits\extVCatList3
 *
 * @copyright 2008-2017 Shift Tech Inc. All Rights Reserved.
 * @author    シフトテック株式会社<http://www.shift-tech.jp>
 *
 * @version 1.0
 */
function extunit_install($param, $db)
{
    switch (DBTYPE) {
        case 'pgsql':
                $sql[] = 'CREATE TABLE extunit_extcatrelate (
                    pageu_code            integer,
                    catlist_layout       text,
                    catlist_use_extsearch smallint NOT NULL default 0,
                    catlist_height       integer,
                    catlist_image_size   smallint NOT NULL default 0,
                    catlist_sidx_code    integer,
                    catlist_cat_code    text,
                    catlist_label_code  text,
                    catlist_label_view  smallint NOT NULL default 0,
                    catlist_label_color  smallint NOT NULL default 0,
                    catlist_s_count        integer,
                    catlist_limit        integer,
                    catlist_pflg        smallint default 1,
                    catlist_relflg        smallint default 0,
                    catlist_date_flg    smallint default 1,
                    catlist_date_format    text,
                    catlist_rss            smallint default 1,
                    catlist_new_flg        smallint default 1,
                    catlist_comment_flg    smallint default 1,
                    catlist_new_days    integer,
                    catlist_order       integer,
                    catlist_more_text   text,
                    catlist_empty_text  text,
                    catlist_sp_layout text,
                    catlist_height_sp       integer,
                    catlist_image_size_sp   smallint NOT NULL default 0,
                    catlist_pflg_sp       smallint default 1,
                    use_sp_flg smallint default 1,
                    use_pc_flg smallint default 1,
                    bg_color            smallint default 0,
                    bdr_type            smallint default 0,
                    btm_padding            smallint default 2,
                    bg_color_sp        smallint default 0,
                    bdr_type_sp        smallint default 0,
                    btm_padding_sp    smallint default 2,
                    option_extend smallint default 0,
                    extra_class text,
                    primary key (pageu_code)
                );';
                $sql[] = 'CREATE TABLE extunit_extcatrelate_tmp (
                    pageu_code            integer,
                    catlist_layout       text,
                    catlist_use_extsearch smallint NOT NULL default 0,
                    catlist_height       integer,
                    catlist_image_size   smallint NOT NULL default 0,
                    catlist_sidx_code    integer,
                    catlist_cat_code    text,
                    catlist_label_code  text,
                    catlist_label_view  smallint NOT NULL default 0,
                    catlist_label_color  smallint NOT NULL default 0,
                    catlist_s_count        integer,
                    catlist_limit        integer,
                    catlist_pflg        smallint default 1,
                    catlist_relflg        smallint default 0,
                    catlist_date_flg    smallint default 1,
                    catlist_date_format    text,
                    catlist_rss            smallint default 1,
                    catlist_new_flg        smallint default 1,
                    catlist_comment_flg    smallint default 1,
                    catlist_new_days    integer,
                    catlist_order       integer,
                    catlist_more_text   text,
                    catlist_empty_text  text,
                    catlist_sp_layout text,
                    catlist_height_sp       integer,
                    catlist_image_size_sp   smallint NOT NULL default 0,
                    catlist_pflg_sp       smallint default 1,
                    use_sp_flg smallint default 1,
                    use_pc_flg smallint default 1,
                    bg_color            smallint default 0,
                    bdr_type            smallint default 0,
                    btm_padding            smallint default 2,
                    bg_color_sp        smallint default 0,
                    bdr_type_sp        smallint default 0,
                    btm_padding_sp    smallint default 2,
                    option_extend smallint default 0,
                    extra_class text,
                    primary key (pageu_code)
                );';
            break;

            case "mysql":
                $sql[] = 'CREATE TABLE extunit_extcatrelate (
                    pageu_code            integer,
                    catlist_layout       text,
                    catlist_use_extsearch smallint NOT NULL default 0,
                    catlist_height       integer,
                    catlist_image_size   smallint NOT NULL default 0,
                    catlist_sidx_code    integer,
                    catlist_cat_code    text,
                    catlist_label_code  text,
                    catlist_label_view  smallint NOT NULL default 0,
                    catlist_label_color  smallint NOT NULL default 0,
                    catlist_s_count        integer,
                    catlist_limit        integer,
                    catlist_pflg        smallint default 1,
                    catlist_relflg        smallint default 0,
                    catlist_date_flg    smallint default 1,
                    catlist_date_format    text,
                    catlist_rss            smallint default 1,
                    catlist_new_flg        smallint default 1,
                    catlist_comment_flg    smallint default 1,
                    catlist_new_days    integer,
                    catlist_order       integer,
                    catlist_more_text   text,
                    catlist_empty_text  text,
                    catlist_sp_layout text,
                    catlist_height_sp       integer,
                    catlist_image_size_sp   smallint NOT NULL default 0,
                    catlist_pflg_sp       smallint default 1,
                    use_sp_flg smallint default 1,
                    use_pc_flg smallint default 1,
                    bg_color            smallint default 0,
                    bdr_type            smallint default 0,
                    btm_padding            smallint default 2,
                    bg_color_sp        smallint default 0,
                    bdr_type_sp        smallint default 0,
                    btm_padding_sp    smallint default 2,
                    option_extend smallint default 0,
                    extra_class text,
                    primary key (pageu_code)
                )TYPE = InnoDB DEFAULT CHARSET=utf8';
                $sql[] = 'CREATE TABLE extunit_extcatrelate_tmp (
                    pageu_code            integer,
                    catlist_layout       text,
                    catlist_use_extsearch smallint NOT NULL default 0,
                    catlist_height       integer,
                    catlist_image_size   smallint NOT NULL default 0,
                    catlist_sidx_code    integer,
                    catlist_cat_code    text,
                    catlist_label_code  text,
                    catlist_label_view  smallint NOT NULL default 0,
                    catlist_label_color  smallint NOT NULL default 0,
                    catlist_s_count        integer,
                    catlist_limit        integer,
                    catlist_pflg        smallint default 1,
                    catlist_relflg        smallint default 0,
                    catlist_date_flg    smallint default 1,
                    catlist_date_format    text,
                    catlist_rss            smallint default 1,
                    catlist_new_flg        smallint default 1,
                    catlist_comment_flg    smallint default 1,
                    catlist_new_days    integer,
                    catlist_order       integer,
                    catlist_more_text   text,
                    catlist_empty_text  text,
                    catlist_sp_layout text,
                    catlist_height_sp       integer,
                    catlist_image_size_sp   smallint NOT NULL default 0,
                    catlist_pflg_sp       smallint default 1,
                    use_sp_flg smallint default 1,
                    use_pc_flg smallint default 1,
                    bg_color            smallint default 0,
                    bdr_type            smallint default 0,
                    btm_padding            smallint default 2,
                    bg_color_sp        smallint default 0,
                    bdr_type_sp        smallint default 0,
                    btm_padding_sp    smallint default 2,
                    option_extend smallint default 0,
                    extra_class text,
                    primary key (pageu_code)
                )TYPE = InnoDB DEFAULT CHARSET=utf8;';

            if (isset($db->dbversion) && version_compare($db->dbversion, "5.0.0", ">=")) {
                foreach ((array)$sql as $k => $v) {
                    $sql[$k] = str_replace('TYPE=InnoDB', 'ENGINE = InnoDB', $v);
                    $sql[$k] = str_replace('TYPE = InnoDB', 'ENGINE = InnoDB', $v);
                }
            }
            break;
        default:
            return false;
            break;
    }
    //sqlの実行
    if (!is_array($sql)||!count($sql)>0) {
        //テーブルのないモジュール、ユニットは存在させない
        return false;
    }
    foreach ($sql as $key => $val) {
        if (!$db->query($val)) {
            return false;
        }
    }
    return true;
}
